# GET /api/v1/onboarding/profile

> Resume in-progress onboarding

- **Tag:** onboarding
- **Operation ID:** `get_onboarding_profile_api_v1_onboarding_profile_get`

## Description

Returns the persisted onboarding profile (conversation, learned profile fields, recommendations, account_type) for the current user. Used by the Welcome wizard to restore wizard state after a refresh.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Responses

### 200 — Successful Response

Schema: `OnboardingProfileResponse`

- `account_type` (string)
- `profile` (object)
- `conversation` (array · object)
- `recommendations` (array · object)
- `has_profile` (boolean)

### 401 — Unauthorized - Authentication required

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/onboarding/profile' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/onboarding/profile', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/onboarding/profile", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/onboarding/get-onboarding-profile
- OpenAPI slice: https://www.ondayzero.com/docs/reference/onboarding/get-onboarding-profile/openapi.json
- Other endpoints in **onboarding**: https://www.ondayzero.com/docs/reference/onboarding
